Skip to main content

UpdateBrokerage

POST

Update the SR's brokerage setting.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Super Representative (SR) address. (Format: Base58 or Hex)
brokerageintegerrequired
The brokerage ratio of the super representative, for example: 20 means 20%, 100 means 100%
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
Responses
owner_addressstring
Super Representative (SR) address.
brokerageinteger
Dividend ratio, from 0 to 100, 1 represents 1%.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/updateBrokerage' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'